org.appng.xml.platform

## Class Permission

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Permission

- All Implemented Interfaces:
    Serializable

      public class Permission
      extends BaseObject
      implements Serializable

  A single permission
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PermissionMode` | `mode`
    `protected String` | `ref`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PermissionMode` | `getMode()` The mode for this permission.
    `String` | `getRef()` The unique name of the permission which is required.
    `String` | `getValue()` whether or not the permission is present
    `void` | `setMode(PermissionMode value)` Sets the value of the mode property.
    `void` | `setRef(String value)` Sets the value of the ref property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### ref

          protected String ref

    - #### mode

          protected PermissionMode mode

  - ### Constructor Detail

    - #### Permission

          public Permission()

  - ### Method Detail

    - #### getValue

          public String getValue()

      whether or not the permission is present
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRef

          public String getRef()

      The unique name of the permission which is required.
      Returns:
        possible object is `String`

    - #### setRef

          public void setRef(String value)

      Sets the value of the ref property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public PermissionMode getMode()

      The mode for this permission.
      Returns:
        possible object is `PermissionMode`

    - #### setMode

          public void setMode(PermissionMode value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `PermissionMode`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.